'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultProps = exports.propTypes = undefined;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var globalWindow = window;

var propTypes = {
  window: _propTypes2.default.object, // DOM window
  columns: _propTypes2.default.array,
  rows: _propTypes2.default.array,
  headerRows: _propTypes2.default.array,
  rowKey: _propTypes2.default.string.isRequired,
  query: _propTypes2.default.object,
  sortingColumns: _propTypes2.default.object,
  headerExtra: _propTypes2.default.any,
  tableWidth: _propTypes2.default.any.isRequired,
  tableHeight: _propTypes2.default.any.isRequired,
  classNames: _propTypes2.default.object,
  props: _propTypes2.default.object,
  styles: _propTypes2.default.object,
  components: _propTypes2.default.object,
  // Custom tree fields
  idField: _propTypes2.default.string,
  parentField: _propTypes2.default.string,
  // Handlers
  onRow: _propTypes2.default.func,
  onMoveRow: _propTypes2.default.func,
  onWidth: _propTypes2.default.func,
  onSelectRow: _propTypes2.default.func
};

var defaultProps = {
  window: globalWindow,
  classNames: {
    table: null,
    header: {
      wrapper: null
      // TODO
      /*
      row: null,
      cell: null
      */
    },
    body: {
      wrapper: null
      // TODO
      /*
      row: null,
      cell: null
      */
    }
  },
  // XXX: push to bindColumns
  props: {
    resize: {
      container: {},
      value: {},
      handle: {}
    },
    sort: {
      container: {},
      value: {},
      order: {}
    }
  },
  components: {},
  // Custom tree fields
  idField: 'id',
  parentField: 'parent',
  // Handlers
  onRow: function onRow() {
    return {};
  },
  onMoveRow: function onMoveRow() {
    return {};
  },
  onSelectRow: function onSelectRow() {}
};

exports.propTypes = propTypes;
exports.defaultProps = defaultProps;